Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::HCounterState< HammingComputer > Struct Template Reference

`#include <hamming.h>`

## Public Member Functions
| HCounterState (int *counters, long *ids_per_dis, const uint8_t *x, int d, int k)
void | update_counter (const uint8_t *y, size_t j)

## Public Attributes
int * | counters
long * | ids_per_dis
HammingComputer | hc
int | thres
int | count_lt
int | count_eq
int | k

## Detailed Description

### template<class HammingComputer>
struct faiss::HCounterState< HammingComputer >

This class maintains a list of best distances seen so far.

Since the distances are in a limited range (0 to nbit), the object maintains one list per possible distance, and fills in only the n-first lists, such that the sum of sizes of the n lists is below k.

Definition at line 531 of file hamming.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/hamming.h